<?php  //[STAMP] 98e1c62432a4eb6158068beea6876b06

namespace WPDesk\Codeception\Tests\Acceptance\Gherkin;

// This class was automatically generated by the steppify task
// You should not change it manually as it will be overwritten on next steppify run
// @codingStandardsIgnoreFile

trait WPBrowserGherkinSteps
{

        /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab cookies with pattern :cookiePattern
	 * @When I grab cookies with pattern :cookiePattern
	 * @Then I grab cookies with pattern :cookiePattern
     *
     * @see \Codeception\Module\WPBrowser::grabCookiesWithPattern()
     */
    public function step_grabCookiesWithPattern($cookiePattern) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabCookiesWithPattern', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I activate plugin :pluginSlug
	 * @When I activate plugin :pluginSlug
	 * @Then I activate plugin :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::activatePlugin()
     */
    public function step_activatePlugin($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('activatePlugin', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I deactivate plugin :pluginSlug
	 * @When I deactivate plugin :pluginSlug
	 * @Then I deactivate plugin :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::deactivatePlugin()
     */
    public function step_deactivatePlugin($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('deactivatePlugin', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I set header :name and value :value
	 * @When I set header :name and value :value
	 * @Then I set header :name and value :value
     *
     * @see \Codeception\Module\WPBrowser::setHeader()
     */
    public function step_setHeader($name, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('setHeader', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am http authenticated :username and password :password
	 * @When I am http authenticated :username and password :password
	 * @Then I am http authenticated :username and password :password
     *
     * @see \Codeception\Module\WPBrowser::amHttpAuthenticated()
     */
    public function step_amHttpAuthenticated($username, $password) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amHttpAuthenticated', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on url :url
	 * @When I am on url :url
	 * @Then I am on url :url
     *
     * @see \Codeception\Module\WPBrowser::amOnUrl()
     */
    public function step_amOnUrl($url) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnUrl', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on subdomain :subdomain
	 * @When I am on subdomain :subdomain
	 * @Then I am on subdomain :subdomain
     *
     * @see \Codeception\Module\WPBrowser::amOnSubdomain()
     */
    public function step_amOnSubdomain($subdomain) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnSubdomain', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I execute in guzzle :function
	 * @When I execute in guzzle :function
	 * @Then I execute in guzzle :function
     *
     * @see \Codeception\Module\WPBrowser::executeInGuzzle()
     */
    public function step_executeInGuzzle(Closure $function) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('executeInGuzzle', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I have http header :name and value :value
	 * @When I have http header :name and value :value
	 * @Then I have http header :name and value :value
     *
     * @see \Codeception\Module\WPBrowser::haveHttpHeader()
     */
    public function step_haveHttpHeader($name, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('haveHttpHeader', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I delete header :name
	 * @When I delete header :name
	 * @Then I delete header :name
     *
     * @see \Codeception\Module\WPBrowser::deleteHeader()
     */
    public function step_deleteHeader($name) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('deleteHeader', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on page :page
	 * @When I am on page :page
	 * @Then I am on page :page
     *
     * @see \Codeception\Module\WPBrowser::amOnPage()
     */
    public function step_amOnPage($page) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I click :link
	 * @Given I click :link and context :context
	 * @When I click :link
	 * @When I click :link and context :context
	 * @Then I click :link
	 * @Then I click :link and context :context
     *
     * @see \Codeception\Module\WPBrowser::click()
     */
    public function step_click($link,  $context = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('click', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see text :text
	 * @Given I see text :text and selector :selector
	 * @When I see text :text
	 * @When I see text :text and selector :selector
	 * @Then I see text :text
	 * @Then I see text :text and selector :selector
     *
     * @see \Codeception\Module\WPBrowser::see()
     */
    public function step_see($text,  $selector = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('see', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see text :text
	 * @Given I dont see text :text and selector :selector
	 * @When I dont see text :text
	 * @When I dont see text :text and selector :selector
	 * @Then I dont see text :text
	 * @Then I dont see text :text and selector :selector
     *
     * @see \Codeception\Module\WPBrowser::dontSee()
     */
    public function step_dontSee($text,  $selector = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSee', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see in source :raw
	 * @When I see in source :raw
	 * @Then I see in source :raw
     *
     * @see \Codeception\Module\WPBrowser::seeInSource()
     */
    public function step_seeInSource($raw) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeInSource', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see in source :raw
	 * @When I dont see in source :raw
	 * @Then I dont see in source :raw
     *
     * @see \Codeception\Module\WPBrowser::dontSeeInSource()
     */
    public function step_dontSeeInSource($raw) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInSource', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see link :text
	 * @Given I see link :text and url :url
	 * @When I see link :text
	 * @When I see link :text and url :url
	 * @Then I see link :text
	 * @Then I see link :text and url :url
     *
     * @see \Codeception\Module\WPBrowser::seeLink()
     */
    public function step_seeLink($text,  $url = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeLink', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see link :text
	 * @Given I dont see link :text and url :url
	 * @When I dont see link :text
	 * @When I dont see link :text and url :url
	 * @Then I dont see link :text
	 * @Then I dont see link :text and url :url
     *
     * @see \Codeception\Module\WPBrowser::dontSeeLink()
     */
    public function step_dontSeeLink($text,  $url = '') {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeLink', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see in current url :uri
	 * @When I see in current url :uri
	 * @Then I see in current url :uri
     *
     * @see \Codeception\Module\WPBrowser::seeInCurrentUrl()
     */
    public function step_seeInCurrentUrl($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeInCurrentUrl', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see in current url :uri
	 * @When I dont see in current url :uri
	 * @Then I dont see in current url :uri
     *
     * @see \Codeception\Module\WPBrowser::dontSeeInCurrentUrl()
     */
    public function step_dontSeeInCurrentUrl($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInCurrentUrl', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see current url equals :uri
	 * @When I see current url equals :uri
	 * @Then I see current url equals :uri
     *
     * @see \Codeception\Module\WPBrowser::seeCurrentUrlEquals()
     */
    public function step_seeCurrentUrlEquals($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeCurrentUrlEquals', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see current url equals :uri
	 * @When I dont see current url equals :uri
	 * @Then I dont see current url equals :uri
     *
     * @see \Codeception\Module\WPBrowser::dontSeeCurrentUrlEquals()
     */
    public function step_dontSeeCurrentUrlEquals($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeCurrentUrlEquals', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see current url matches :uri
	 * @When I see current url matches :uri
	 * @Then I see current url matches :uri
     *
     * @see \Codeception\Module\WPBrowser::seeCurrentUrlMatches()
     */
    public function step_seeCurrentUrlMatches($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeCurrentUrlMatches', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see current url matches :uri
	 * @When I dont see current url matches :uri
	 * @Then I dont see current url matches :uri
     *
     * @see \Codeception\Module\WPBrowser::dontSeeCurrentUrlMatches()
     */
    public function step_dontSeeCurrentUrlMatches($uri) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeCurrentUrlMatches', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab from current url
	 * @Given I grab from current url uri :uri
	 * @When I grab from current url
	 * @When I grab from current url uri :uri
	 * @Then I grab from current url
	 * @Then I grab from current url uri :uri
     *
     * @see \Codeception\Module\WPBrowser::grabFromCurrentUrl()
     */
    public function step_grabFromCurrentUrl( $uri = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabFromCurrentUrl', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I is checked see checkbox :checkbox
	 * @When I is checked see checkbox :checkbox
	 * @Then I is checked see checkbox :checkbox
     *
     * @see \Codeception\Module\WPBrowser::seeCheckboxIsChecked()
     */
    public function step_seeCheckboxIsChecked($checkbox) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeCheckboxIsChecked', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont is checked see checkbox :checkbox
	 * @When I dont is checked see checkbox :checkbox
	 * @Then I dont is checked see checkbox :checkbox
     *
     * @see \Codeception\Module\WPBrowser::dontSeeCheckboxIsChecked()
     */
    public function step_dontSeeCheckboxIsChecked($checkbox) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeCheckboxIsChecked', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see in field :field and value :value
	 * @When I see in field :field and value :value
	 * @Then I see in field :field and value :value
     *
     * @see \Codeception\Module\WPBrowser::seeInField()
     */
    public function step_seeInField($field, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeInField', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see in field :field and value :value
	 * @When I dont see in field :field and value :value
	 * @Then I dont see in field :field and value :value
     *
     * @see \Codeception\Module\WPBrowser::dontSeeInField()
     */
    public function step_dontSeeInField($field, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInField', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see in form fields :formSelector
	 * @When I see in form fields :formSelector
	 * @Then I see in form fields :formSelector
     *
     * @see \Codeception\Module\WPBrowser::seeInFormFields()
     */
    public function step_seeInFormFields($formSelector, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('seeInFormFields', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeInFormFields', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see in form fields :formSelector
	 * @When I dont see in form fields :formSelector
	 * @Then I dont see in form fields :formSelector
     *
     * @see \Codeception\Module\WPBrowser::dontSeeInFormFields()
     */
    public function step_dontSeeInFormFields($formSelector, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInFormFields', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInFormFields', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I submit form :selector
	 * @Given I submit form :selector and button :button
	 * @When I submit form :selector
	 * @When I submit form :selector and button :button
	 * @Then I submit form :selector
	 * @Then I submit form :selector and button :button
     *
     * @see \Codeception\Module\WPBrowser::submitForm()
     */
    public function step_submitForm($selector, \Behat\Gherkin\Node\TableNode $params,  $button = null) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('submitForm', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('submitForm', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I fill :field and value :value
     * @When I fill :field and value :value
     * @Then I fill :field and value :value
     *
     * @see \Codeception\Module\WPBrowser::fillField()
     */
    public function step_fillField($field, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('fillField', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I select :select and option :option
	 * @When I select :select and option :option
	 * @Then I select :select and option :option
     *
     * @see \Codeception\Module\WPBrowser::selectOption()
     */
    public function step_selectOption($select, $option) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('selectOption', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I  :option
	 * @When I  :option
	 * @Then I  :option
     *
     * @see \Codeception\Module\WPBrowser::checkOption()
     */
    public function step_checkOption($option) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('checkOption', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I  :option
	 * @When I  :option
	 * @Then I  :option
     *
     * @see \Codeception\Module\WPBrowser::uncheckOption()
     */
    public function step_uncheckOption($option) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('uncheckOption', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I attach file :field and filename :filename
	 * @When I attach file :field and filename :filename
	 * @Then I attach file :field and filename :filename
     *
     * @see \Codeception\Module\WPBrowser::attachFile()
     */
    public function step_attachFile($field, $filename) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('attachFile', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I send ajax get request :uri
	 * @Given I send ajax get request :uri and params :params
	 * @When I send ajax get request :uri
	 * @When I send ajax get request :uri and params :params
	 * @Then I send ajax get request :uri
	 * @Then I send ajax get request :uri and params :params
     *
     * @see \Codeception\Module\WPBrowser::sendAjaxGetRequest()
     */
    public function step_sendAjaxGetRequest($uri, $params) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('sendAjaxGetRequest', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I send ajax post request :uri
	 * @Given I send ajax post request :uri and params :params
	 * @When I send ajax post request :uri
	 * @When I send ajax post request :uri and params :params
	 * @Then I send ajax post request :uri
	 * @Then I send ajax post request :uri and params :params
     *
     * @see \Codeception\Module\WPBrowser::sendAjaxPostRequest()
     */
    public function step_sendAjaxPostRequest($uri, $params) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('sendAjaxPostRequest', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I send ajax request :method and uri :uri
	 * @Given I send ajax request :method and uri :uri and params :params
	 * @When I send ajax request :method and uri :uri
	 * @When I send ajax request :method and uri :uri and params :params
	 * @Then I send ajax request :method and uri :uri
	 * @Then I send ajax request :method and uri :uri and params :params
     *
     * @see \Codeception\Module\WPBrowser::sendAjaxRequest()
     */
    public function step_sendAjaxRequest($method, $uri, $params) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('sendAjaxRequest', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I make html snapshot
	 * @Given I make html snapshot name :name
	 * @When I make html snapshot
	 * @When I make html snapshot name :name
	 * @Then I make html snapshot
	 * @Then I make html snapshot name :name
     *
     * @see \Codeception\Module\WPBrowser::makeHtmlSnapshot()
     */
    public function step_makeHtmlSnapshot( $name = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('makeHtmlSnapshot', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab text from :cssOrXPathOrRegex
	 * @When I grab text from :cssOrXPathOrRegex
	 * @Then I grab text from :cssOrXPathOrRegex
     *
     * @see \Codeception\Module\WPBrowser::grabTextFrom()
     */
    public function step_grabTextFrom($cssOrXPathOrRegex) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabTextFrom', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I from :cssOrXpath and attribute :attribute
	 * @When I from :cssOrXpath and attribute :attribute
	 * @Then I from :cssOrXpath and attribute :attribute
     *
     * @see \Codeception\Module\WPBrowser::grabAttributeFrom()
     */
    public function step_grabAttributeFrom($cssOrXpath, $attribute) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabAttributeFrom', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab multiple :cssOrXpath
	 * @Given I grab multiple :cssOrXpath and attribute :attribute
	 * @When I grab multiple :cssOrXpath
	 * @When I grab multiple :cssOrXpath and attribute :attribute
	 * @Then I grab multiple :cssOrXpath
	 * @Then I grab multiple :cssOrXpath and attribute :attribute
     *
     * @see \Codeception\Module\WPBrowser::grabMultiple()
     */
    public function step_grabMultiple($cssOrXpath,  $attribute = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabMultiple', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab value from :field
	 * @When I grab value from :field
	 * @Then I grab value from :field
     *
     * @see \Codeception\Module\WPBrowser::grabValueFrom()
     */
    public function step_grabValueFrom($field) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabValueFrom', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I set cookie :name and val :val
	 * @When I set cookie :name and val :val
	 * @Then I set cookie :name and val :val
     *
     * @see \Codeception\Module\WPBrowser::setCookie()
     */
    public function step_setCookie($name, $val, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('setCookie', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('setCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I  :cookie
	 * @When I  :cookie
	 * @Then I  :cookie
     *
     * @see \Codeception\Module\WPBrowser::grabCookie()
     */
    public function step_grabCookie($cookie, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('grabCookie', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab page source
	 * @When I grab page source
	 * @Then I grab page source
     *
     * @see \Codeception\Module\WPBrowser::grabPageSource()
     */
    public function step_grabPageSource() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabPageSource', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I  see cookie :cookie
	 * @When I  see cookie :cookie
	 * @Then I  see cookie :cookie
     *
     * @see \Codeception\Module\WPBrowser::seeCookie()
     */
    public function step_seeCookie($cookie, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('seeCookie', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see cookie :cookie
	 * @When I dont see cookie :cookie
	 * @Then I dont see cookie :cookie
     *
     * @see \Codeception\Module\WPBrowser::dontSeeCookie()
     */
    public function step_dontSeeCookie($cookie, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeCookie', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I reset cookie :name
	 * @When I reset cookie :name
	 * @Then I reset cookie :name
     *
     * @see \Codeception\Module\WPBrowser::resetCookie()
     */
    public function step_resetCookie($name, \Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('resetCookie', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('resetCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see element :selector
	 * @Given I see element :selector and attributes :attributes
	 * @When I see element :selector
	 * @When I see element :selector and attributes :attributes
	 * @Then I see element :selector
	 * @Then I see element :selector and attributes :attributes
     *
     * @see \Codeception\Module\WPBrowser::seeElement()
     */
    public function step_seeElement($selector, $attributes = null ) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeElement', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see element :selector
	 * @Given I dont see element :selector and attributes :attributes
	 * @When I dont see element :selector
	 * @When I dont see element :selector and attributes :attributes
	 * @Then I dont see element :selector
	 * @Then I dont see element :selector and attributes :attributes
     *
     * @see \Codeception\Module\WPBrowser::dontSeeElement()
     */
    public function step_dontSeeElement($selector, $attributes) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeElement', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see number of elements :selector and expected :expected
	 * @When I see number of elements :selector and expected :expected
	 * @Then I see number of elements :selector and expected :expected
     *
     * @see \Codeception\Module\WPBrowser::seeNumberOfElements()
     */
    public function step_seeNumberOfElements($selector, $expected) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeNumberOfElements', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see option is selected :selector and optionText :optionText
	 * @When I see option is selected :selector and optionText :optionText
	 * @Then I see option is selected :selector and optionText :optionText
     *
     * @see \Codeception\Module\WPBrowser::seeOptionIsSelected()
     */
    public function step_seeOptionIsSelected($selector, $optionText) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeOptionIsSelected', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see option is selected :selector and optionText :optionText
	 * @When I dont see option is selected :selector and optionText :optionText
	 * @Then I dont see option is selected :selector and optionText :optionText
     *
     * @see \Codeception\Module\WPBrowser::dontSeeOptionIsSelected()
     */
    public function step_dontSeeOptionIsSelected($selector, $optionText) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeOptionIsSelected', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see page not found
	 * @When I see page not found
	 * @Then I see page not found
     *
     * @see \Codeception\Module\WPBrowser::seePageNotFound()
     */
    public function step_seePageNotFound() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seePageNotFound', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see is :code
	 * @When I see is :code
	 * @Then I see is :code
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIs()
     */
    public function step_seeResponseCodeIs($code) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIs', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see response code is between :from and to :to
	 * @When I see response code is between :from and to :to
	 * @Then I see response code is between :from and to :to
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIsBetween()
     */
    public function step_seeResponseCodeIsBetween($from, $to) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIsBetween', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see is :code
	 * @When I dont see is :code
	 * @Then I dont see is :code
     *
     * @see \Codeception\Module\WPBrowser::dontSeeResponseCodeIs()
     */
    public function step_dontSeeResponseCodeIs($code) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeResponseCodeIs', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see response code is successful
	 * @When I see response code is successful
	 * @Then I see response code is successful
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIsSuccessful()
     */
    public function step_seeResponseCodeIsSuccessful() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIsSuccessful', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see response code is redirection
	 * @When I see response code is redirection
	 * @Then I see response code is redirection
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIsRedirection()
     */
    public function step_seeResponseCodeIsRedirection() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIsRedirection', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see response code is client error
	 * @When I see response code is client error
	 * @Then I see response code is client error
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIsClientError()
     */
    public function step_seeResponseCodeIsClientError() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIsClientError', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see response code is server error
	 * @When I see response code is server error
	 * @Then I see response code is server error
     *
     * @see \Codeception\Module\WPBrowser::seeResponseCodeIsServerError()
     */
    public function step_seeResponseCodeIsServerError() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeResponseCodeIsServerError', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see in title :title
	 * @When I see in title :title
	 * @Then I see in title :title
     *
     * @see \Codeception\Module\WPBrowser::seeInTitle()
     */
    public function step_seeInTitle($title) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeInTitle', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see in title :title
	 * @When I dont see in title :title
	 * @Then I dont see in title :title
     *
     * @see \Codeception\Module\WPBrowser::dontSeeInTitle()
     */
    public function step_dontSeeInTitle($title) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeeInTitle', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I switch to iframe :name
	 * @When I switch to iframe :name
	 * @Then I switch to iframe :name
     *
     * @see \Codeception\Module\WPBrowser::switchToIframe()
     */
    public function step_switchToIframe($name) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('switchToIframe', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I move back
	 * @Given I move back numberOfSteps :numberOfSteps
	 * @When I move back
	 * @When I move back numberOfSteps :numberOfSteps
	 * @Then I move back
	 * @Then I move back numberOfSteps :numberOfSteps
     *
     * @see \Codeception\Module\WPBrowser::moveBack()
     */
    public function step_moveBack( $numberOfSteps = 1) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('moveBack', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I set server parameters
	 * @When I set server parameters
	 * @Then I set server parameters
     *
     * @see \Codeception\Module\WPBrowser::setServerParameters()
     */
    public function step_setServerParameters(\Behat\Gherkin\Node\TableNode $params) {
                $args = steppify_convertTableNodesToArrays(func_get_args(), $iterations);

        if(!empty($iterations)) {
            $returnValues = [];
            foreach($iterations as $iteration){
                $returnValues[] = $this->getScenario()->runStep(new \Codeception\Step\Action('setServerParameters', $iteration));
            }

            return $returnValues;
        }

        return $this->getScenario()->runStep(new \Codeception\Step\Action('setServerParameters', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I have server parameter :name and value :value
	 * @When I have server parameter :name and value :value
	 * @Then I have server parameter :name and value :value
     *
     * @see \Codeception\Module\WPBrowser::haveServerParameter()
     */
    public function step_haveServerParameter($name, $value) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('haveServerParameter', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I stop following redirects
	 * @When I stop following redirects
	 * @Then I stop following redirects
     *
     * @see \Codeception\Module\WPBrowser::stopFollowingRedirects()
     */
    public function step_stopFollowingRedirects() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('stopFollowingRedirects', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I start following redirects
	 * @When I start following redirects
	 * @Then I start following redirects
     *
     * @see \Codeception\Module\WPBrowser::startFollowingRedirects()
     */
    public function step_startFollowingRedirects() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('startFollowingRedirects', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I follow redirect
	 * @When I follow redirect
	 * @Then I follow redirect
     *
     * @see \Codeception\Module\WPBrowser::followRedirect()
     */
    public function step_followRedirect() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('followRedirect', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I set max redirects :maxRedirects
	 * @When I set max redirects :maxRedirects
	 * @Then I set max redirects :maxRedirects
     *
     * @see \Codeception\Module\WPBrowser::setMaxRedirects()
     */
    public function step_setMaxRedirects($maxRedirects) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('setMaxRedirects', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I log out
	 * @Given I log out redirectTo :redirectTo
	 * @When I log out
	 * @When I log out redirectTo :redirectTo
	 * @Then I log out
	 * @Then I log out redirectTo :redirectTo
     *
     * @see \Codeception\Module\WPBrowser::logOut()
     */
    public function step_logOut( $redirectTo = '' ) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('logOut', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I login as admin
	 * @When I login as admin
	 * @Then I login as admin
     *
     * @see \Codeception\Module\WPBrowser::loginAsAdmin()
     */
    public function step_loginAsAdmin() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('loginAsAdmin', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I login as :username and password :password
	 * @When I login as :username and password :password
	 * @Then I login as :username and password :password
     *
     * @see \Codeception\Module\WPBrowser::loginAs()
     */
    public function step_loginAs($username, $password) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('loginAs', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on plugins page
	 * @When I am on plugins page
	 * @Then I am on plugins page
     *
     * @see \Codeception\Module\WPBrowser::amOnPluginsPage()
     */
    public function step_amOnPluginsPage() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnPluginsPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on pages page
	 * @When I am on pages page
	 * @Then I am on pages page
     *
     * @see \Codeception\Module\WPBrowser::amOnPagesPage()
     */
    public function step_amOnPagesPage() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnPagesPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see plugin deactivated :pluginSlug
	 * @When I see plugin deactivated :pluginSlug
	 * @Then I see plugin deactivated :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::seePluginDeactivated()
     */
    public function step_seePluginDeactivated($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seePluginDeactivated', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see plugin installed :pluginSlug
	 * @When I see plugin installed :pluginSlug
	 * @Then I see plugin installed :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::seePluginInstalled()
     */
    public function step_seePluginInstalled($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seePluginInstalled', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see plugin activated :pluginSlug
	 * @When I see plugin activated :pluginSlug
	 * @Then I see plugin activated :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::seePluginActivated()
     */
    public function step_seePluginActivated($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seePluginActivated', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I dont see plugin installed :pluginSlug
	 * @When I dont see plugin installed :pluginSlug
	 * @Then I dont see plugin installed :pluginSlug
     *
     * @see \Codeception\Module\WPBrowser::dontSeePluginInstalled()
     */
    public function step_dontSeePluginInstalled($pluginSlug) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('dontSeePluginInstalled', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see error message
	 * @Given I see error message classes :classes
	 * @When I see error message
	 * @When I see error message classes :classes
	 * @Then I see error message
	 * @Then I see error message classes :classes
     *
     * @see \Codeception\Module\WPBrowser::seeErrorMessage()
     */
    public function step_seeErrorMessage( $classes = '') {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeErrorMessage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see wp die page
	 * @When I see wp die page
	 * @Then I see wp die page
     *
     * @see \Codeception\Module\WPBrowser::seeWpDiePage()
     */
    public function step_seeWpDiePage() {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeWpDiePage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I see message
	 * @Given I see message classes :classes
	 * @When I see message
	 * @When I see message classes :classes
	 * @Then I see message
	 * @Then I see message classes :classes
     *
     * @see \Codeception\Module\WPBrowser::seeMessage()
     */
    public function step_seeMessage( $classes = '') {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('seeMessage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I grab word press test cookie
	 * @Given I grab word press test cookie name :name
	 * @When I grab word press test cookie
	 * @When I grab word press test cookie name :name
	 * @Then I grab word press test cookie
	 * @Then I grab word press test cookie name :name
     *
     * @see \Codeception\Module\WPBrowser::grabWordPressTestCookie()
     */
    public function step_grabWordPressTestCookie( $name = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('grabWordPressTestCookie', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on admin page :page
	 * @When I am on admin page :page
	 * @Then I am on admin page :page
     *
     * @see \Codeception\Module\WPBrowser::amOnAdminPage()
     */
    public function step_amOnAdminPage($page) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnAdminPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on admin ajax page
	 * @Given I am on admin ajax page queryVars :queryVars
	 * @When I am on admin ajax page
	 * @When I am on admin ajax page queryVars :queryVars
	 * @Then I am on admin ajax page
	 * @Then I am on admin ajax page queryVars :queryVars
     *
     * @see \Codeception\Module\WPBrowser::amOnAdminAjaxPage()
     */
    public function step_amOnAdminAjaxPage( $queryVars = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnAdminAjaxPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am on cron page
	 * @Given I am on cron page queryVars :queryVars
	 * @When I am on cron page
	 * @When I am on cron page queryVars :queryVars
	 * @Then I am on cron page
	 * @Then I am on cron page queryVars :queryVars
     *
     * @see \Codeception\Module\WPBrowser::amOnCronPage()
     */
    public function step_amOnCronPage( $queryVars = null) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amOnCronPage', $args));
    }

    /**
     * [!] Method is generated from steppify task. Documentation taken from corresponding module.
     *
     * @Given I am editing post with id :id
	 * @When I am editing post with id :id
	 * @Then I am editing post with id :id
     *
     * @see \Codeception\Module\WPBrowser::amEditingPostWithId()
     */
    public function step_amEditingPostWithId($id) {
        $args = func_get_args();
        return $this->getScenario()->runStep(new \Codeception\Step\Action('amEditingPostWithId', $args));
    }

    /**
     * @When I click with left button :arg1
     * @And I click with left button :arg1
     * @Then I click with left button :arg1
     */
    public function iClickWithLeftButton($arg1)
    {
        $this->clickWithLeftButton( $arg1 );
    }

    /**
     * @When I wait for element clickable :arg1
     * @And I wait for element clickable :arg1
     * @Then I wait for element clickable :arg1
     */
    public function iWaitForElementClickable($arg1)
    {
        $this->waitForElementClickable( $arg1 );
    }

    /**
     * @When I scroll to :arg1
     * @And I scroll to :arg1
     * @Then scroll to :arg1
     */
    public function iScrollTo($arg1)
    {
        $this->scrollTo( $arg1 );
    }

}
